Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_flux2.F90	(revision 5103)
@@ -86,5 +86,5 @@
 ! Verification de la nullite des entrainement et detrainement au dessus
 ! de lmax(ig)
-! Active uniquement si check_debug=.true. ou prt_level>=10
+! Active uniquement si check_debug=.TRUE. ou prt_level>=10
 !-------------------------------------------------------------------------
 
@@ -96,17 +96,17 @@
             if (l<=lmax(ig)) then
                if (entr_star(ig,l)>1.) then
-                    print*,'WARNING thermcell_flux 1 ig,l,lmax(ig)',ig,l,lmax(ig)
-                    print*,'entr_star(ig,l)',entr_star(ig,l)
-                    print*,'alim_star(ig,l)',alim_star(ig,l)
-                    print*,'detr_star(ig,l)',detr_star(ig,l)
+                    PRINT*,'WARNING thermcell_flux 1 ig,l,lmax(ig)',ig,l,lmax(ig)
+                    PRINT*,'entr_star(ig,l)',entr_star(ig,l)
+                    PRINT*,'alim_star(ig,l)',alim_star(ig,l)
+                    PRINT*,'detr_star(ig,l)',detr_star(ig,l)
                endif
             else
                if (abs(entr_star(ig,l))+abs(alim_star(ig,l))+abs(detr_star(ig,l))>0.) then
-                    print*,'cas 1 : ig,l,lmax(ig)',ig,l,lmax(ig)
-                    print*,'entr_star(ig,l)',entr_star(ig,l)
-                    print*,'alim_star(ig,l)',alim_star(ig,l)
-                    print*,'detr_star(ig,l)',detr_star(ig,l)
+                    PRINT*,'cas 1 : ig,l,lmax(ig)',ig,l,lmax(ig)
+                    PRINT*,'entr_star(ig,l)',entr_star(ig,l)
+                    PRINT*,'alim_star(ig,l)',alim_star(ig,l)
+                    PRINT*,'detr_star(ig,l)',detr_star(ig,l)
                     abort_message = ''
-                    labort_physic=.true.
+                    labort_physic=.TRUE.
                     CALL abort_physic (modname,abort_message,1)
                endif
@@ -166,5 +166,5 @@
 
 !      if (prt_level.ge.10) &
-!    &    call printflux(ngrid,nlay,lunout1,igout,f,lmax,lalim, &
+!    &    CALL printflux(ngrid,nlay,lunout1,igout,f,lmax,lalim, &
 !    &    ptimestep,masse,entr,detr,fm,'2  ')
 
@@ -201,5 +201,5 @@
          do ig=1,ngrid
             if (fm(ig,l+1)<0.) then
-!              print*,'fm1<0',l+1,lmax(ig),fm(ig,l+1)
+!              PRINT*,'fm1<0',l+1,lmax(ig),fm(ig,l+1)
                 ncorecfm1=ncorecfm1+1
                fm(ig,l+1)=fm(ig,l)
@@ -270,8 +270,8 @@
 
 
-         labort_physic=.false.
+         labort_physic=.FALSE.
          do ig=1,ngrid
             if (entr(ig,l)<0.) then
-               labort_physic=.true.
+               labort_physic=.TRUE.
                igout=ig
                lout=l
@@ -280,5 +280,5 @@
 
          if (labort_physic) then
-            print*,'N1 ig,l,entr',igout,lout,entr(igout,lout)
+            PRINT*,'N1 ig,l,entr',igout,lout,entr(igout,lout)
             abort_message = 'entr negatif'
             CALL abort_physic (modname,abort_message,1)
@@ -310,8 +310,8 @@
          enddo
 
-         labort_physic=.false.
+         labort_physic=.FALSE.
          do ig=1,ngrid
             if (entr(ig,l)<0.) then
-               labort_physic=.true.
+               labort_physic=.TRUE.
                igout=ig
             endif
@@ -319,7 +319,7 @@
          if (labort_physic) then
             ig=igout
-            print*,'ig,l,lmax(ig)',ig,l,lmax(ig)
-            print*,'entr(ig,l)',entr(ig,l)
-            print*,'fm(ig,l)',fm(ig,l)
+            PRINT*,'ig,l,lmax(ig)',ig,l,lmax(ig)
+            PRINT*,'entr(ig,l)',entr(ig,l)
+            PRINT*,'fm(ig,l)',fm(ig,l)
             abort_message = 'probleme dans thermcell flux'
             CALL abort_physic (modname,abort_message,1)
@@ -348,8 +348,8 @@
          enddo
 
-         labort_physic=.false.
+         labort_physic=.FALSE.
          do ig=1,ngrid
             if (detr(ig,l)<0.) then
-               labort_physic=.true.
+               labort_physic=.TRUE.
                igout=ig
             endif
@@ -357,7 +357,7 @@
         if (labort_physic) then
                ig=igout
-               print*,'cas 2 : ig,l,lmax(ig)',ig,l,lmax(ig)
-               print*,'detr(ig,l)',detr(ig,l)
-               print*,'fm(ig,l)',fm(ig,l)
+               PRINT*,'cas 2 : ig,l,lmax(ig)',ig,l,lmax(ig)
+               PRINT*,'detr(ig,l)',detr(ig,l)
+               PRINT*,'fm(ig,l)',fm(ig,l)
                abort_message = 'probleme dans thermcell flux'
                CALL abort_physic (modname,abort_message,1)
@@ -398,5 +398,5 @@
 !             lmax(ig)=l+1
 !             zmax(ig)=zlev(ig,lmax(ig))
-!             print*,'alpha>1',l+1,lmax(ig)
+!             PRINT*,'alpha>1',l+1,lmax(ig)
               ncorecalpha=ncorecalpha+1
            endif
@@ -413,5 +413,5 @@
 
 !      if (prt_level.ge.10) &
-!    &    call printflux(ngrid,nlay,lunout1,igout,f,lmax,lalim, &
+!    &    CALL printflux(ngrid,nlay,lunout1,igout,f,lmax,lalim, &
 !    &    ptimestep,masse,entr,detr,fm,'8  ')
 
@@ -423,5 +423,5 @@
 
       if (1==1) then
-      labort_physic=.false.
+      labort_physic=.FALSE.
       do l=1,nlay-1
          do ig=1,ngrid
@@ -446,5 +446,5 @@
                          igout=ig
                          lout=l
-                         labort_physic=.true.
+                         labort_physic=.TRUE.
                       endif
                       entr(ig,l+1)=entr(ig,l+1)-ddd
@@ -460,18 +460,18 @@
                          ig=igout
                          l=lout
-                         print*,'ig,l',ig,l
-                         print*,'eee0',eee0
-                         print*,'ddd0',ddd0
-                         print*,'eee',eee
-                         print*,'ddd',ddd
-                         print*,'entr',entr(ig,l)
-                         print*,'detr',detr(ig,l)
-                         print*,'masse',masse(ig,l)
-                         print*,'fomass_max',fomass_max
-                         print*,'masse(ig,l)*fomass_max/ptimestep',masse(ig,l)*fomass_max/ptimestep
-                         print*,'ptimestep',ptimestep
-                         print*,'lmax(ig)',lmax(ig)
-                         print*,'fm(ig,l+1)',fm(ig,l+1)
-                         print*,'fm(ig,l)',fm(ig,l)
+                         PRINT*,'ig,l',ig,l
+                         PRINT*,'eee0',eee0
+                         PRINT*,'ddd0',ddd0
+                         PRINT*,'eee',eee
+                         PRINT*,'ddd',ddd
+                         PRINT*,'entr',entr(ig,l)
+                         PRINT*,'detr',detr(ig,l)
+                         PRINT*,'masse',masse(ig,l)
+                         PRINT*,'fomass_max',fomass_max
+                         PRINT*,'masse(ig,l)*fomass_max/ptimestep',masse(ig,l)*fomass_max/ptimestep
+                         PRINT*,'ptimestep',ptimestep
+                         PRINT*,'lmax(ig)',lmax(ig)
+                         PRINT*,'fm(ig,l+1)',fm(ig,l+1)
+                         PRINT*,'fm(ig,l)',fm(ig,l)
                          abort_message = 'probleme dans thermcell_flux'
                          CALL abort_physic (modname,abort_message,1)
@@ -494,5 +494,5 @@
 !     if (ncorecfm1+ncorecfm2+ncorecfm3+ncorecfm4+ncorecfm5+ncorecalpha > 0 ) then
 
-!         print*,'PB thermcell : on a du coriger ',ncorecfm1,'x fm1',&
+!         PRINT*,'PB thermcell : on a du coriger ',ncorecfm1,'x fm1',&
 !   &     ncorecfm2,'x fm2',ncorecfm3,'x fm3 et', &
 !   &     ncorecfm4,'x fm4',ncorecfm5,'x fm5 et', &
@@ -505,5 +505,5 @@
 
 !      if (prt_level.ge.10) &
-!    &    call printflux(ngrid,nlay,lunout1,igout,f,lmax,lalim, &
+!    &    CALL printflux(ngrid,nlay,lunout1,igout,f,lmax,lalim, &
 !    &    ptimestep,masse,entr,detr,fm,'fin')
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_height.F90	(revision 5103)
@@ -43,5 +43,5 @@
       do ig=1,ngrid
       if ( zw2(ig,nlay) > 1.e-10 ) then
-          print*,'WARNING !!!!! W2 thermiques non nul derniere couche '
+          PRINT*,'WARNING !!!!! W2 thermiques non nul derniere couche '
           lmax(ig)=nlay
       endif
@@ -66,5 +66,5 @@
             if (l<=lmax(ig)) then
                 if (zw2(ig,l)<0.)then
-                  print*,'pb2 zw2<0'
+                  PRINT*,'pb2 zw2<0'
                 endif
                 zw2(ig,l)=sqrt(zw2(ig,l))
@@ -120,5 +120,5 @@
       -zlev(ig,lcong(ig)))
          zcong(ig)=zlevintercong(ig)-zlev(ig,1)
-!         print*,"calcul zcong",lcong(ig),lintercong(ig),zlevintercong(ig),zcong(ig)
+!         PRINT*,"calcul zcong",lcong(ig),lintercong(ig),zlevintercong(ig),zcong(ig)
       enddo
 
@@ -146,5 +146,5 @@
               else
               zmix(ig)=zlev(ig,lmix(ig))
-              print*,'pb zmix'
+              PRINT*,'pb zmix'
               endif
           else 
@@ -154,5 +154,5 @@
          if ((zmax(ig)-zmix(ig))<=0.) then
             zmix(ig)=0.9*zmax(ig)
-!            print*,'pb zmix>zmax'
+!            PRINT*,'pb zmix>zmax'
          endif
       enddo
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_ini.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_ini.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_ini.F90	(revision 5103)
@@ -55,5 +55,5 @@
 real, intent(in) :: RG_in,RD_in,RCPD_in,RKAPPA_in,RLVTT_in,RETV_in,tau_thermals_in
 
-print*,'thermcell_ini'
+PRINT*,'thermcell_ini'
       if (iflag_thermals==15.or.iflag_thermals==16) then
          dvdq=0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90	(revision 5102)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/lmdz_thermcell_main.F90	(revision 5103)
@@ -7,5 +7,5 @@
 CONTAINS
 
-      subroutine thermcell_main(itap,ngrid,nlay,ptimestep  &
+      SUBROUTINE thermcell_main(itap,ngrid,nlay,ptimestep  &
                     ,pplay,pplev,pphi,debut  &
                     ,puwind,pvwind,ptemp,p_o,ptemp_env, po_env  &
@@ -185,7 +185,7 @@
    fm=0. ; entr=0. ; detr=0.
 
-      if (prt_level>=1) print*,'thermcell_main V4'
-
-       sorties=.true.
+      if (prt_level>=1) PRINT*,'thermcell_main V4'
+
+       sorties=.TRUE.
       IF(ngrid/=ngrid) THEN
          PRINT*
@@ -195,5 +195,5 @@
       ENDIF
 
-!print*,'thermcell_main debut'
+!PRINT*,'thermcell_main debut'
 !     write(lunout,*)'WARNING thermcell_main f0=max(f0,1.e-2)'
      do ig=1,ngrid
@@ -205,5 +205,5 @@
       if (prt_level>=20) then
        do ig=1,ngrid
-          print*,'th_main ig f0',ig,f0(ig)
+          PRINT*,'th_main ig f0',ig,f0(ig)
        enddo
       endif
@@ -238,5 +238,5 @@
         !    SUBROUTINE thermcell_env(ngrid,nlay,po,pt,pu,pv,pplay,  &
         ! &           pplev,zo,zh,zl,ztv,zthl,zu,zv,zpspsk,pqsat,lev_out)
-        ! contenu thermcell_env : call thermcell_qsat(ngrid*nlay,mask,pplev,pt,po,pqsat)
+        ! contenu thermcell_env : CALL thermcell_qsat(ngrid*nlay,mask,pplev,pt,po,pqsat)
         ! contenu thermcell_env : do ll=1,nlay
         ! contenu thermcell_env :    do ig=1,ngrid
@@ -267,12 +267,12 @@
                  ztv(ig,l)=ztv(ig,l)*(1.+RETV*po_env(ig,l))
                  zthl(ig,l)=ptemp(ig,l)/zpspsk(ig,l)
-                 mask(ig,l)=.true.
+                 mask(ig,l)=.TRUE.
             enddo
         enddo
-        call thermcell_qsat(ngrid*nlay,mask,pplev,ptemp_env,p_o,zqsat)
+        CALL thermcell_qsat(ngrid*nlay,mask,pplev,ptemp_env,p_o,zqsat)
           
       endif
        
-      if (prt_level>=1) print*,'thermcell_main apres thermcell_env'
+      if (prt_level>=1) PRINT*,'thermcell_main apres thermcell_env'
 
 !------------------------------------------------------------------------
@@ -322,5 +322,5 @@
          masse(:,l)=(pplev(:,l)-pplev(:,l+1))/RG
       enddo
-      if (prt_level>=1) print*,'thermcell_main apres initialisation'
+      if (prt_level>=1) PRINT*,'thermcell_main apres initialisation'
 
 !------------------------------------------------------------------
@@ -395,5 +395,5 @@
 !--------------------------------------------------------------------------------
 
-      if (prt_level>=1) print*,'avant thermcell_plume ',lev_out
+      if (prt_level>=1) PRINT*,'avant thermcell_plume ',lev_out
 
 !=====================================================================
@@ -412,5 +412,5 @@
 
       if (iflag_thermals_ed<=9) then
-!         print*,'THERM NOUVELLE/NOUVELLE Arnaud'
+!         PRINT*,'THERM NOUVELLE/NOUVELLE Arnaud'
          CALL thermcell_plume_6A(itap,ngrid,nlay,ptimestep,ztv,zthl,p_o,zl,rhobarz,&
       zlev,pplev,pphi,zpspsk,alim_star,alim_star_tot,  &
@@ -420,5 +420,5 @@
 
       elseif (iflag_thermals_ed<=19) then
-!        print*,'THERM RIO et al 2010, version d Arnaud'
+!        PRINT*,'THERM RIO et al 2010, version d Arnaud'
          CALL thermcell_plume_5B(itap,ngrid,nlay,ptimestep,ztv,zthl,p_o,zl,rhobarz,&
       zlev,pplev,pphi,zpspsk,alim_star,alim_star_tot,  &
@@ -434,10 +434,10 @@
       endif
 
-      if (prt_level>=1) print*,'apres thermcell_plume ',lev_out
-
-      call test_ltherm(ngrid,nlay,pplay,lalim,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_plum lalim ')
-      call test_ltherm(ngrid,nlay,pplay,lmix ,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_plum lmix  ')
-
-      if (prt_level>=1) print*,'thermcell_main apres thermcell_plume'
+      if (prt_level>=1) PRINT*,'apres thermcell_plume ',lev_out
+
+      CALL test_ltherm(ngrid,nlay,pplay,lalim,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_plum lalim ')
+      CALL test_ltherm(ngrid,nlay,pplay,lmix ,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_plum lmix  ')
+
+      if (prt_level>=1) PRINT*,'thermcell_main apres thermcell_plume'
       if (prt_level>=10) then
          write(lunout1,*) 'Dans thermcell_main 2'
@@ -461,14 +461,14 @@
          wmax_tmp(:)=max(wmax_tmp(:),zw2(:,l))
       enddo
-!     print*,"ZMAX ",lalim,lmin,linter,lmix,lmax,zmax,zmax0,zmix,wmax
-
-
-
-      call test_ltherm(ngrid,nlay,pplay,lalim,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_heig lalim ')
-      call test_ltherm(ngrid,nlay,pplay,lmin ,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_heig lmin  ')
-      call test_ltherm(ngrid,nlay,pplay,lmix ,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_heig lmix  ')
-      call test_ltherm(ngrid,nlay,pplay,lmax ,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_heig lmax  ')
-
-      if (prt_level>=1) print*,'thermcell_main apres thermcell_height'
+!     PRINT*,"ZMAX ",lalim,lmin,linter,lmix,lmax,zmax,zmax0,zmix,wmax
+
+
+
+      CALL test_ltherm(ngrid,nlay,pplay,lalim,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_heig lalim ')
+      CALL test_ltherm(ngrid,nlay,pplay,lmin ,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_heig lmin  ')
+      CALL test_ltherm(ngrid,nlay,pplay,lmix ,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_heig lmix  ')
+      CALL test_ltherm(ngrid,nlay,pplay,lmax ,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_heig lmax  ')
+
+      if (prt_level>=1) PRINT*,'thermcell_main apres thermcell_height'
 
 !-------------------------------------------------------------------------------
@@ -481,8 +481,8 @@
 
  
-call test_ltherm(ngrid,nlay,pplay,lmin,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_dry  lmin  ')
-call test_ltherm(ngrid,nlay,pplay,lalim,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_dry  lalim ')
-
-      if (prt_level>=1) print*,'thermcell_main apres thermcell_dry'
+CALL test_ltherm(ngrid,nlay,pplay,lmin,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_dry  lmin  ')
+CALL test_ltherm(ngrid,nlay,pplay,lalim,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_dry  lalim ')
+
+      if (prt_level>=1) PRINT*,'thermcell_main apres thermcell_dry'
       if (prt_level>=10) then
          write(lunout1,*) 'Dans thermcell_main 1b'
@@ -521,5 +521,5 @@
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
-      if(prt_level>=1)print*,'thermcell_closure apres thermcell_closure'
+      if(prt_level>=1)PRINT*,'thermcell_closure apres thermcell_closure'
 
       if (tau_thermals>1.) then
@@ -546,7 +546,7 @@
 !IM 060508    &       detr,zqla,zmax,lev_out,lunout,igout)
 
-      if (prt_level>=1) print*,'thermcell_main apres thermcell_flux'
-      call test_ltherm(ngrid,nlay,pplay,lalim,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_flux lalim ')
-      call test_ltherm(ngrid,nlay,pplay,lmax ,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_flux lmax  ')
+      if (prt_level>=1) PRINT*,'thermcell_main apres thermcell_flux'
+      CALL test_ltherm(ngrid,nlay,pplay,lalim,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_flux lalim ')
+      CALL test_ltherm(ngrid,nlay,pplay,lmax ,ztv,p_o,ztva,zqla,f_star,zw2,'thermcell_flux lmax  ')
 
 !------------------------------------------------------------------
@@ -588,5 +588,5 @@
 !------------------------------------------------------------------
       IF (iflag_thermals_down > 0) THEN
-        if (debut) print*,'WARNING !!! routine thermcell_down en cours de developpement'
+        if (debut) PRINT*,'WARNING !!! routine thermcell_down en cours de developpement'
         entrdn=fact_thermals_down*detr0
         detrdn=fact_thermals_down*entr0 
@@ -605,5 +605,5 @@
            enddo
         enddo
-        call thermcell_dq(ngrid,nlay,dqimpl,ptimestep,fm0,entr0,masse,  &
+        CALL thermcell_dq(ngrid,nlay,dqimpl,ptimestep,fm0,entr0,masse,  &
                       zthl,zdthladj,zta,lev_out)
 
@@ -613,5 +613,5 @@
            enddo
         enddo
-        call thermcell_dq(ngrid,nlay,dqimpl,ptimestep,fm0,entr0,masse,  &
+        CALL thermcell_dq(ngrid,nlay,dqimpl,ptimestep,fm0,entr0,masse,  &
                      z_o,pdoadj,z_oa,lev_out)
 
@@ -625,5 +625,5 @@
             enddo
           enddo
-          call thermcell_dq(ngrid,nlay,dqimpl,ptimestep,fm0,entr0,masse,  &
+          CALL thermcell_dq(ngrid,nlay,dqimpl,ptimestep,fm0,entr0,masse,  &
                      xtpo_tmp,xtpdoadj_tmp,xtzo_tmp,lev_out)
           do ll=1,nlay
@@ -640,11 +640,11 @@
         DO ig=1,ngrid
           if (iso_eau.gt.0) then
-              call iso_verif_egalite(xtpo(iso_eau,ig,ll), &
+              CALL iso_verif_egalite(xtpo(iso_eau,ig,ll), &
             p_o(ig,ll),'thermcell_main 594')
-              call iso_verif_egalite(xtpdoadj(iso_eau,ig,ll), &
+              CALL iso_verif_egalite(xtpdoadj(iso_eau,ig,ll), &
             pdoadj(ig,ll),'thermcell_main 596')
           endif
           if (iso_HDO.gt.0) then
-              call iso_verif_aberrant_encadre(xtpo(iso_hdo,ig,ll) &
+              CALL iso_verif_aberrant_encadre(xtpo(iso_hdo,ig,ll) &
              /p_o(ig,ll),'thermcell_main 610')
           endif
@@ -666,5 +666,5 @@
 ! de pression horizontal avec l'environnement
 
-         call thermcell_dv2(ngrid,nlay,ptimestep,fm0,entr0,masse  &
+         CALL thermcell_dv2(ngrid,nlay,ptimestep,fm0,entr0,masse  &
 !    &    ,fraca*dvdq,zmax &
       ,fraca,zmax &
@@ -674,7 +674,7 @@
 
 ! calcul purement conservatif pour le transport de V
-         call thermcell_dq(ngrid,nlay,dqimpl,ptimestep,fm0,entr0,masse  &
+         CALL thermcell_dq(ngrid,nlay,dqimpl,ptimestep,fm0,entr0,masse  &
       ,zu,pduadj,zua,lev_out)
-         call thermcell_dq(ngrid,nlay,dqimpl,ptimestep,fm0,entr0,masse  &
+         CALL thermcell_dq(ngrid,nlay,dqimpl,ptimestep,fm0,entr0,masse  &
       ,zv,pdvadj,zva,lev_out)
 
@@ -682,5 +682,5 @@
     ENDIF
 
-!     print*,'13 OK convect8'
+!     PRINT*,'13 OK convect8'
       do l=1,nlay
          do ig=1,ngrid
@@ -689,5 +689,5 @@
       enddo
 
-      if (prt_level>=1) print*,'14 OK convect8'
+      if (prt_level>=1) PRINT*,'14 OK convect8'
 !------------------------------------------------------------------
 !   Calculs de diagnostiques pour les sorties
@@ -696,5 +696,5 @@
       
       if (sorties) then
-      if (prt_level>=1) print*,'14a OK convect8'
+      if (prt_level>=1) PRINT*,'14a OK convect8'
 ! calcul du niveau de condensation
 ! initialisation
@@ -731,5 +731,5 @@
 !      endif
 
-      if (prt_level>=1) print*,'14b OK convect8'
+      if (prt_level>=1) PRINT*,'14b OK convect8'
       do k=nlay,1,-1
          do ig=1,ngrid
@@ -740,5 +740,5 @@
          enddo
       enddo
-      if (prt_level>=1) print*,'14c OK convect8'
+      if (prt_level>=1) PRINT*,'14c OK convect8'
 !calcul des moments
 !initialisation
@@ -752,5 +752,5 @@
          enddo
       enddo      
-      if (prt_level>=1) print*,'14d OK convect8'
+      if (prt_level>=1) PRINT*,'14d OK convect8'
       if (prt_level>=10)write(lunout,*)                                &
        'WARNING thermcell_main wth2=0. si zw2 > 1.e-10'
@@ -783,5 +783,5 @@
 
 !calcul du ratqscdiff
-      if (prt_level>=1) print*,'14e OK convect8'
+      if (prt_level>=1) PRINT*,'14e OK convect8'
       var=0.
       vardiff=0.
@@ -796,5 +796,5 @@
       enddo
 
-      if (prt_level>=1) print*,'14f OK convect8'
+      if (prt_level>=1) PRINT*,'14f OK convect8'
 
       do l=1,nlay
@@ -808,5 +808,5 @@
       enddo
 
-      if (prt_level>=1) print*,'14g OK convect8'
+      if (prt_level>=1) PRINT*,'14g OK convect8'
          do l=1,nlay
             do ig=1,ngrid
@@ -816,14 +816,14 @@
       endif
 
-      if (prt_level>=1) print*,'thermcell_main FIN  OK'
-
-!print*,'thermcell_main fin'
+      if (prt_level>=1) PRINT*,'thermcell_main FIN  OK'
+
+!PRINT*,'thermcell_main fin'
  RETURN
-      end subroutine thermcell_main
+      END SUBROUTINE  thermcell_main
 
 !=============================================================================
 !/////////////////////////////////////////////////////////////////////////////
 !=============================================================================
-      subroutine test_ltherm(ngrid,nlay,pplay,long,ztv,p_o,ztva, &  ! in
+      SUBROUTINE test_ltherm(ngrid,nlay,pplay,long,ztv,p_o,ztva, &  ! in
               zqla,f_star,zw2,comment)                          ! in
 !=============================================================================
@@ -841,5 +841,5 @@
 
       if (prt_level>=1) THEN
-       print*,'WARNING !!! TEST ',comment
+       PRINT*,'WARNING !!! TEST ',comment
       endif
       return
@@ -849,6 +849,6 @@
 !IMtemp           if (pplay(i,long(i)).lt.seuil*pplev(i,1)) then
            if (prt_level>=10) then
-               print*,'WARNING ',comment,' au point ',i,' K= ',long(i)
-               print*,'  K  P(MB)  THV(K)     Qenv(g/kg)THVA        QLA(g/kg)   F*        W2'
+               PRINT*,'WARNING ',comment,' au point ',i,' K= ',long(i)
+               PRINT*,'  K  P(MB)  THV(K)     Qenv(g/kg)THVA        QLA(g/kg)   F*        W2'
                do k=1,nlay
                   write(6,'(i3,7f10.3)') k,pplay(i,k),ztv(i,k),1000*p_o(i,k),ztva(i,k),1000*zqla(i,k),f_star(i,k),zw2(i,k)
@@ -863,5 +863,5 @@
 ! nrlmd le 10/04/2012   Transport de la TKE par le thermique moyen pour la fermeture en ALP 
 !                       On transporte pbl_tke pour donner therm_tke
-!                       Copie conforme de la subroutine DTKE dans physiq.F ecrite par Frederic Hourdin
+!                       Copie conforme de la SUBROUTINE DTKE dans physiq.F ecrite par Frederic Hourdin
 
 !=======================================================================
@@ -869,5 +869,5 @@
 !=======================================================================
 
-      subroutine thermcell_tke_transport( &
+      SUBROUTINE thermcell_tke_transport( &
        ngrid,nlay,ptimestep,fm0,entr0,rg,pplev,  &   ! in
        therm_tke_max)                                ! out
@@ -905,5 +905,5 @@
 
 
-      if (prt_level>=1) print*,'Q2 THERMCEL_DQ 0'
+      if (prt_level>=1) PRINT*,'Q2 THERMCEL_DQ 0'
 
 !   calcul du detrainement
@@ -946,8 +946,8 @@
             endif
             if (qa(ig,k)<0.) then
-!               print*,'qa<0!!!'
+!               PRINT*,'qa<0!!!'
             endif
             if (q(ig,k)<0.) then
-!               print*,'q<0!!!'
+!               PRINT*,'q<0!!!'
             endif
          enddo
@@ -960,5 +960,5 @@
             wqd(ig,k)=fm(ig,k)*q(ig,k)
             if (wqd(ig,k)<0.) then
-!               print*,'wqd<0!!!'
+!               PRINT*,'wqd<0!!!'
             endif
          enddo
